> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new cluster definition



## OpenAPI

````yaml /api-reference/4.2/service-searchCluster.json post /searchCluster
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service searchCluster
servers:
  - url: /api/apollo/
security: []
tags:
  - name: searchCluster
paths:
  /searchCluster:
    post:
      tags:
        - 4.2 Search Cluster API
      summary: Create a new cluster definition
      operationId: createSearchCluster
      parameters:
        - name: validate
          in: query
          description: >-
            Before creating the cluster definition, verify that Fusion can
            connect to this new search cluster correctly
          required: false
          schema:
            type: boolean
      requestBody:
        $ref: '#/components/requestBodies/SearchCluster'
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchCluster'
components:
  requestBodies:
    SearchCluster:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/SearchCluster'
      description: JSON-formatted cluster configuration values
  schemas:
    SearchCluster:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        connectString:
          type: string
          readOnly: true
        zkClientTimeout:
          type: integer
          format: int32
          readOnly: true
        zkConnectTimeout:
          type: integer
          format: int32
          readOnly: true
        cloud:
          type: boolean
          readOnly: true
          default: false
        bufferFlushInterval:
          type: integer
          format: int32
          readOnly: true
        bufferSize:
          type: integer
          format: int32
          readOnly: true
        concurrency:
          type: integer
          format: int32
          readOnly: true
        authConfig:
          $ref: '#/components/schemas/AuthConfig'
        validateCluster:
          type: boolean
          default: false
    AuthConfig:
      type: object
      properties:
        authType:
          type: string
          readOnly: true
          enum:
            - NONE
            - BASIC
            - KERBEROS
        username:
          type: string
          readOnly: true
        password:
          type: string
          readOnly: true
        keyTab:
          type: string
          readOnly: true
        principal:
          type: string
          readOnly: true

````